SEQanswers

Go Back   SEQanswers > Bioinformatics > Bioinformatics



Similar Threads
Thread Thread Starter Forum Replies Last Post
tophat fails with --no-discordant jake13 Bioinformatics 12 04-06-2014 09:09 AM
How does TopHat -T option work? seqlearning Bioinformatics 0 09-20-2013 10:06 AM
tophat -j junctions option cedance Bioinformatics 0 06-19-2011 02:34 AM
Tophat -j option error cedance Bioinformatics 1 03-25-2011 05:05 AM
tophat -r mate inner distance option ssseq Bioinformatics 2 01-10-2011 05:15 AM

Reply
 
Thread Tools
Old 03-02-2014, 07:01 AM   #1
chpawan
Junior Member
 
Location: Singapore

Join Date: Feb 2014
Posts: 2
Default TopHat --no-discordant option

Dear All,

I am new to the RNASeq data analysis and I have a query regarding TopHat for, RNASeq data containing paired-end reads, some specific options to be used.

I am using TopHat v2.0.10 on ubuntu and it works fine and gives the output files with default options but when I use the options "--no-discordant" and "--no-mixed" to get more specific outcomes I get an error at the stage of "tophat_reports" with a message like this.

[FAILED]
Error running tophat_reports
Loaded ****** junctions


I tried searching to see if someone else had the same problem and then I found a suggestion that v2.0.9 works with these options but after testing it I found the same error at the stage of "tophat_reports".

It will be very nice if anyone could please help me if there is something that I am doing wrong? This is the way I am using it:

tophat2 -p 8 -G genes.gtf --no-discordant --no-mixed -o output_dir genome reads1.fq reads2.fq

I also tried with only one option at a time like using "--no-mixed" and only using "--no-discordant":

tophat2 -p 8 -G genes.gtf --no-mixed -o output_dir genome reads1.fq reads2.fq

tophat2 -p 8 -G genes.gtf --no-discordant -o output_dir genome reads1.fq reads2.fq

The tophat run process with the --no-mixed option works fine in both v2.0.10 and v2.0.9 also but the tophat run process with the --no-discordant option fails in both the versions with the same error as mentioned above. So I am guessing that there is some issue with using the --no-discordant option.

Is there some other version which works with these options together or only with the --no-discordant option or is there something that I can fix to overcome the error so that the process can be completed with the --no-discordant option?

Thank You

Regards,
Pawan
chpawan is offline   Reply With Quote
Old 07-30-2014, 11:15 AM   #2
lmolla
Junior Member
 
Location: NYC

Join Date: Jul 2014
Posts: 2
Default

chpawan I am also having the same problem and getting the exact error and only when I use the --no-discordant option
Please let me know if you have fixed the problem .
thanks.
lmolla is offline   Reply With Quote
Old 07-30-2014, 02:02 PM   #3
Mike2188
Member
 
Location: Winnipeg

Join Date: Oct 2013
Posts: 26
Default

This has been an issue in the past:

https://groups.google.com/forum/#!to...rs/a3TXz72Z3F8

https://groups.google.com/forum/#!to...rs/a3TXz72Z3F8

I believe it is an issue with the script that needs to be addressed... looks like there is no solution right now. Particularily an issue with larger datasets. Someone said that updating Samtools might help, but that's all I can offer... sorry bud.
Mike2188 is offline   Reply With Quote
Old 07-30-2014, 02:04 PM   #4
Mike2188
Member
 
Location: Winnipeg

Join Date: Oct 2013
Posts: 26
Default

sorry, I put the same link twice... Here is the second link.

http://seqanswers.com/forums/showthr...t=24205&page=2

Also, someone mentioned that increasing their RAM helped. Are you working with little available RAM?
Mike2188 is offline   Reply With Quote
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off




All times are GMT -8. The time now is 02:16 PM.


Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2020, vBulletin Solutions, Inc.
Single Sign On provided by vBSSO